/*     */ package org.apache.batik.dom;
/*     */ 
/*     */ import org.w3c.dom.Entity;
/*     */ import org.w3c.dom.Node;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractEntity
/*     */   extends AbstractParentNode
/*     */   implements Entity
/*     */ {
/*     */   protected String nodeName;
/*     */   protected String publicId;
/*     */   protected String systemId;
/*     */   
/*  55 */   public short getNodeType() { return 6; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  62 */   public void setNodeName(String v) { this.nodeName = v; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  70 */   public String getNodeName() { return this.nodeName; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  78 */   public String getPublicId() { return this.publicId; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  85 */   public void setPublicId(String id) { this.publicId = id; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  93 */   public String getSystemId() { return this.systemId; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 100 */   public void setSystemId(String id) { this.systemId = id; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 108 */   public String getNotationName() { return getNodeName(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 115 */   public void setNotationName(String name) { setNodeName(name); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 122 */   public String getInputEncoding() { return null; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 129 */   public String getXmlEncoding() { return null; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 136 */   public String getXmlVersion() { return null; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node export(Node n, AbstractDocument d) {
/* 143 */     super.export(n, d);
/* 144 */     AbstractEntity ae = (AbstractEntity)n;
/* 145 */     ae.nodeName = this.nodeName;
/* 146 */     ae.publicId = this.publicId;
/* 147 */     ae.systemId = this.systemId;
/* 148 */     return n;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node deepExport(Node n, AbstractDocument d) {
/* 155 */     super.deepExport(n, d);
/* 156 */     AbstractEntity ae = (AbstractEntity)n;
/* 157 */     ae.nodeName = this.nodeName;
/* 158 */     ae.publicId = this.publicId;
/* 159 */     ae.systemId = this.systemId;
/* 160 */     return n;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node copyInto(Node n) {
/* 168 */     super.copyInto(n);
/* 169 */     AbstractEntity ae = (AbstractEntity)n;
/* 170 */     ae.nodeName = this.nodeName;
/* 171 */     ae.publicId = this.publicId;
/* 172 */     ae.systemId = this.systemId;
/* 173 */     return n;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node deepCopyInto(Node n) {
/* 181 */     super.deepCopyInto(n);
/* 182 */     AbstractEntity ae = (AbstractEntity)n;
/* 183 */     ae.nodeName = this.nodeName;
/* 184 */     ae.publicId = this.publicId;
/* 185 */     ae.systemId = this.systemId;
/* 186 */     return n;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void checkChildType(Node n, boolean replace) {
/* 193 */     switch (n.getNodeType()) {
/*     */       case 1:
/*     */       case 3:
/*     */       case 4:
/*     */       case 5:
/*     */       case 7:
/*     */       case 8:
/*     */       case 11:
/*     */         return;
/*     */     } 
/* 203 */     throw createDOMException((short)3, "child.type", new Object[] { new Integer(getNodeType()), getNodeName(), new Integer(n.getNodeType()), n.getNodeName() });
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\AbstractEntity.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */