/*     */ package org.apache.batik.dom;
/*     */ 
/*     */ import org.w3c.dom.Attr;
/*     */ import org.w3c.dom.CDATASection;
/*     */ import org.w3c.dom.Comment;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.DOMImplementation;
/*     */ import org.w3c.dom.DocumentFragment;
/*     */ import org.w3c.dom.DocumentType;
/*     */ import org.w3c.dom.Element;
/*     */ import org.w3c.dom.EntityReference;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.ProcessingInstruction;
/*     */ import org.w3c.dom.Text;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class GenericDocument
/*     */   extends AbstractDocument
/*     */ {
/*     */   protected static final String ATTR_ID = "id";
/*     */   protected boolean readonly;
/*     */   
/*     */   protected GenericDocument() {}
/*     */   
/*  66 */   public GenericDocument(DocumentType dt, DOMImplementation impl) { super(dt, impl); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  73 */   public boolean isReadonly() { return this.readonly; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  80 */   public void setReadonly(boolean v) { this.readonly = v; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isId(Attr node) {
/*  88 */     if (node.getNamespaceURI() != null) return false; 
/*  89 */     return "id".equals(node.getNodeName());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  97 */   public Element createElement(String tagName) throws DOMException { return new GenericElement(tagName.intern(), this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 105 */   public DocumentFragment createDocumentFragment() { return new GenericDocumentFragment(this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 113 */   public Text createTextNode(String data) { return new GenericText(data, this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 121 */   public Comment createComment(String data) { return new GenericComment(data, this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 129 */   public CDATASection createCDATASection(String data) throws DOMException { return new GenericCDATASection(data, this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 141 */   public ProcessingInstruction createProcessingInstruction(String target, String data) throws DOMException { return new GenericProcessingInstruction(target, data, this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 149 */   public Attr createAttribute(String name) throws DOMException { return new GenericAttr(name.intern(), this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 158 */   public EntityReference createEntityReference(String name) throws DOMException { return new GenericEntityReference(name, this); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Element createElementNS(String namespaceURI, String qualifiedName) throws DOMException {
/* 167 */     if (namespaceURI != null && namespaceURI.length() == 0) {
/* 168 */       namespaceURI = null;
/*     */     }
/* 170 */     if (namespaceURI == null) {
/* 171 */       return new GenericElement(qualifiedName.intern(), this);
/*     */     }
/* 173 */     return new GenericElementNS(namespaceURI.intern(), qualifiedName.intern(), this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Attr createAttributeNS(String namespaceURI, String qualifiedName) throws DOMException {
/* 185 */     if (namespaceURI != null && namespaceURI.length() == 0) {
/* 186 */       namespaceURI = null;
/*     */     }
/* 188 */     if (namespaceURI == null) {
/* 189 */       return new GenericAttr(qualifiedName.intern(), this);
/*     */     }
/* 191 */     return new GenericAttrNS(namespaceURI.intern(), qualifiedName.intern(), this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 201 */   protected Node newNode() { return new GenericDocument(); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\GenericDocument.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */