/*     */ package org.apache.batik.dom.events;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import org.apache.batik.dom.xbl.OriginalEvent;
/*     */ import org.w3c.dom.events.Event;
/*     */ import org.w3c.dom.events.EventTarget;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractEvent
/*     */   implements Event, OriginalEvent, Cloneable
/*     */ {
/*     */   protected String type;
/*     */   protected boolean isBubbling;
/*     */   protected boolean cancelable;
/*     */   protected EventTarget currentTarget;
/*     */   protected EventTarget target;
/*     */   protected short eventPhase;
/*  72 */   protected long timeStamp = System.currentTimeMillis();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean stopPropagation = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean stopImmediatePropagation = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected boolean preventDefault = false;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected String namespaceURI;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Event originalEvent;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected List defaultActions;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 113 */   protected int bubbleLimit = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 120 */   public String getType() { return this.type; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 129 */   public EventTarget getCurrentTarget() { return this.currentTarget; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 138 */   public EventTarget getTarget() { return this.target; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 146 */   public short getEventPhase() { return this.eventPhase; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 155 */   public boolean getBubbles() { return this.isBubbling; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 165 */   public boolean getCancelable() { return this.cancelable; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 177 */   public long getTimeStamp() { return this.timeStamp; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 184 */   public String getNamespaceURI() { return this.namespaceURI; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 191 */   public Event getOriginalEvent() { return this.originalEvent; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 204 */   public void stopPropagation() { this.stopPropagation = true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 221 */   public void preventDefault() { this.preventDefault = true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 229 */   public boolean getDefaultPrevented() { return this.preventDefault; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 235 */   public List getDefaultActions() { return this.defaultActions; }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void addDefaultAction(Runnable rable) {
/* 241 */     if (this.defaultActions == null) this.defaultActions = new ArrayList(); 
/* 242 */     this.defaultActions.add(rable);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 250 */   public void stopImmediatePropagation() { this.stopImmediatePropagation = true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initEvent(String eventTypeArg, boolean canBubbleArg, boolean cancelableArg) {
/* 275 */     this.type = eventTypeArg;
/* 276 */     this.isBubbling = canBubbleArg;
/* 277 */     this.cancelable = cancelableArg;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void initEventNS(String namespaceURIArg, String eventTypeArg, boolean canBubbleArg, boolean cancelableArg) {
/* 288 */     if (this.namespaceURI != null && this.namespaceURI.length() == 0) {
/* 289 */       this.namespaceURI = null;
/*     */     }
/* 291 */     this.namespaceURI = namespaceURIArg;
/* 292 */     this.type = eventTypeArg;
/* 293 */     this.isBubbling = canBubbleArg;
/* 294 */     this.cancelable = cancelableArg;
/*     */   }
/*     */ 
/*     */   
/* 298 */   boolean getStopPropagation() { return this.stopPropagation; }
/*     */ 
/*     */ 
/*     */   
/* 302 */   boolean getStopImmediatePropagation() { return this.stopImmediatePropagation; }
/*     */ 
/*     */ 
/*     */   
/* 306 */   void setEventPhase(short eventPhase) { this.eventPhase = eventPhase; }
/*     */ 
/*     */ 
/*     */   
/* 310 */   void stopPropagation(boolean state) { this.stopPropagation = state; }
/*     */ 
/*     */ 
/*     */   
/* 314 */   void stopImmediatePropagation(boolean state) { this.stopImmediatePropagation = state; }
/*     */ 
/*     */ 
/*     */   
/* 318 */   void preventDefault(boolean state) { this.preventDefault = state; }
/*     */ 
/*     */ 
/*     */   
/* 322 */   void setCurrentTarget(EventTarget currentTarget) { this.currentTarget = currentTarget; }
/*     */ 
/*     */ 
/*     */   
/* 326 */   void setTarget(EventTarget target) { this.target = target; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object clone() throws CloneNotSupportedException {
/* 333 */     AbstractEvent newEvent = (AbstractEvent)super.clone();
/* 334 */     newEvent.timeStamp = System.currentTimeMillis();
/* 335 */     return newEvent;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractEvent cloneEvent() {
/*     */     try {
/* 344 */       AbstractEvent newEvent = (AbstractEvent)clone();
/* 345 */       newEvent.originalEvent = this;
/* 346 */       return newEvent;
/*     */     } catch (CloneNotSupportedException e) {
/* 348 */       return null;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 356 */   public int getBubbleLimit() { return this.bubbleLimit; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 363 */   public void setBubbleLimit(int n) { this.bubbleLimit = n; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\events\AbstractEvent.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */