/*     */ package org.apache.batik.dom.util;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TriplyIndexedTable
/*     */ {
/*     */   protected static final int INITIAL_CAPACITY = 11;
/*     */   protected Entry[] table;
/*     */   protected int count;
/*     */   
/*  49 */   public TriplyIndexedTable() { this.table = new Entry[11]; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  57 */   public TriplyIndexedTable(int c) { this.table = new Entry[c]; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  64 */   public int size() { return this.count; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object put(Object o1, Object o2, Object o3, Object value) {
/*  72 */     int hash = hashCode(o1, o2, o3) & 0x7FFFFFFF;
/*  73 */     int index = hash % this.table.length;
/*     */     
/*  75 */     for (Entry e = this.table[index]; e != null; e = e.next) {
/*  76 */       if (e.hash == hash && e.match(o1, o2, o3)) {
/*  77 */         Object old = e.value;
/*  78 */         e.value = value;
/*  79 */         return old;
/*     */       } 
/*     */     } 
/*     */ 
/*     */     
/*  84 */     int len = this.table.length;
/*  85 */     if (this.count++ >= len - (len >> 2)) {
/*     */       
/*  87 */       rehash();
/*  88 */       index = hash % this.table.length;
/*     */     } 
/*     */     
/*  91 */     Entry e = new Entry(hash, o1, o2, o3, value, this.table[index]);
/*  92 */     this.table[index] = e;
/*  93 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Object get(Object o1, Object o2, Object o3) {
/* 101 */     int hash = hashCode(o1, o2, o3) & 0x7FFFFFFF;
/* 102 */     int index = hash % this.table.length;
/*     */     
/* 104 */     for (Entry e = this.table[index]; e != null; e = e.next) {
/* 105 */       if (e.hash == hash && e.match(o1, o2, o3)) {
/* 106 */         return e.value;
/*     */       }
/*     */     } 
/* 109 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected void rehash() {
/* 116 */     Entry[] arrayOfEntry = this.table;
/*     */     
/* 118 */     this.table = new Entry[arrayOfEntry.length * 2 + 1];
/*     */     
/* 120 */     for (int i = arrayOfEntry.length - 1; i >= 0; i--) {
/* 121 */       for (Entry old = arrayOfEntry[i]; old != null; ) {
/* 122 */         Entry e = old;
/* 123 */         old = old.next;
/*     */         
/* 125 */         int index = e.hash % this.table.length;
/* 126 */         e.next = this.table[index];
/* 127 */         this.table[index] = e;
/*     */       } 
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 136 */   protected int hashCode(Object o1, Object o2, Object o3) { return ((o1 == null) ? 0 : o1.hashCode()) ^ ((o2 == null) ? 0 : o2.hashCode()) ^ ((o3 == null) ? 0 : o3.hashCode()); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected static class Entry
/*     */   {
/*     */     public int hash;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Object key1;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Object key2;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Object key3;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Object value;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Entry next;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Entry(int hash, Object key1, Object key2, Object key3, Object value, Entry next) {
/* 180 */       this.hash = hash;
/* 181 */       this.key1 = key1;
/* 182 */       this.key2 = key2;
/* 183 */       this.key3 = key3;
/* 184 */       this.value = value;
/* 185 */       this.next = next;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public boolean match(Object o1, Object o2, Object o3) {
/* 192 */       if (this.key1 != null) {
/* 193 */         if (!this.key1.equals(o1)) {
/* 194 */           return false;
/*     */         }
/* 196 */       } else if (o1 != null) {
/* 197 */         return false;
/*     */       } 
/* 199 */       if (this.key2 != null) {
/* 200 */         if (!this.key2.equals(o2)) {
/* 201 */           return false;
/*     */         }
/* 203 */       } else if (o2 != null) {
/* 204 */         return false;
/*     */       } 
/* 206 */       if (this.key3 != null) {
/* 207 */         return this.key3.equals(o3);
/*     */       }
/* 209 */       return (o3 == null);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\do\\util\TriplyIndexedTable.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */