/*     */ package org.apache.batik.dom.util;
/*     */ 
/*     */ import org.apache.batik.util.XMLConstants;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Element;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class XLinkSupport
/*     */   implements XMLConstants
/*     */ {
/*  38 */   public static String getXLinkType(Element elt) { return elt.getAttributeNS("http://www.w3.org/1999/xlink", "type"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setXLinkType(Element elt, String str) {
/*  45 */     if (!"simple".equals(str) && !"extended".equals(str) && !"locator".equals(str) && !"arc".equals(str))
/*     */     {
/*     */ 
/*     */       
/*  49 */       throw new DOMException((short)12, "xlink:type='" + str + "'");
/*     */     }
/*     */     
/*  52 */     elt.setAttributeNS("http://www.w3.org/1999/xlink", "type", str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  59 */   public static String getXLinkRole(Element elt) { return elt.getAttributeNS("http://www.w3.org/1999/xlink", "role"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  66 */   public static void setXLinkRole(Element elt, String str) { elt.setAttributeNS("http://www.w3.org/1999/xlink", "role", str); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  73 */   public static String getXLinkArcRole(Element elt) { return elt.getAttributeNS("http://www.w3.org/1999/xlink", "arcrole"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  80 */   public static void setXLinkArcRole(Element elt, String str) { elt.setAttributeNS("http://www.w3.org/1999/xlink", "arcrole", str); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  87 */   public static String getXLinkTitle(Element elt) { return elt.getAttributeNS("http://www.w3.org/1999/xlink", "title"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  94 */   public static void setXLinkTitle(Element elt, String str) { elt.setAttributeNS("http://www.w3.org/1999/xlink", "title", str); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 101 */   public static String getXLinkShow(Element elt) { return elt.getAttributeNS("http://www.w3.org/1999/xlink", "show"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setXLinkShow(Element elt, String str) {
/* 108 */     if (!"new".equals(str) && !"replace".equals(str) && !"embed".equals(str))
/*     */     {
/*     */       
/* 111 */       throw new DOMException((short)12, "xlink:show='" + str + "'");
/*     */     }
/*     */     
/* 114 */     elt.setAttributeNS("http://www.w3.org/1999/xlink", "show", str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 121 */   public static String getXLinkActuate(Element elt) { return elt.getAttributeNS("http://www.w3.org/1999/xlink", "actuate"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void setXLinkActuate(Element elt, String str) {
/* 128 */     if (!"onReplace".equals(str) && !"onLoad".equals(str)) {
/* 129 */       throw new DOMException((short)12, "xlink:actuate='" + str + "'");
/*     */     }
/*     */     
/* 132 */     elt.setAttributeNS("http://www.w3.org/1999/xlink", "actuate", str);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 139 */   public static String getXLinkHref(Element elt) { return elt.getAttributeNS("http://www.w3.org/1999/xlink", "href"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 146 */   public static void setXLinkHref(Element elt, String str) { elt.setAttributeNS("http://www.w3.org/1999/xlink", "href", str); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\do\\util\XLinkSupport.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */