/*     */ package org.apache.batik.dom.xbl;
/*     */ 
/*     */ import org.apache.batik.dom.AbstractNode;
/*     */ import org.w3c.dom.Element;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.NodeList;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class GenericXBLManager
/*     */   implements XBLManager
/*     */ {
/*     */   protected boolean isProcessing;
/*     */   
/*  44 */   public void startProcessing() { this.isProcessing = true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  51 */   public void stopProcessing() { this.isProcessing = false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  58 */   public boolean isProcessing() { return this.isProcessing; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  65 */   public Node getXblParentNode(Node n) { return n.getParentNode(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  72 */   public NodeList getXblChildNodes(Node n) { return n.getChildNodes(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  80 */   public NodeList getXblScopedChildNodes(Node n) { return n.getChildNodes(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  87 */   public Node getXblFirstChild(Node n) { return n.getFirstChild(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  94 */   public Node getXblLastChild(Node n) { return n.getLastChild(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 102 */   public Node getXblPreviousSibling(Node n) { return n.getPreviousSibling(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 110 */   public Node getXblNextSibling(Node n) { return n.getNextSibling(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Element getXblFirstElementChild(Node n) {
/* 117 */     Node m = n.getFirstChild();
/* 118 */     while (m != null && m.getNodeType() != 1) {
/* 119 */       m = m.getNextSibling();
/*     */     }
/* 121 */     return (Element)m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Element getXblLastElementChild(Node n) {
/* 128 */     Node m = n.getLastChild();
/* 129 */     while (m != null && m.getNodeType() != 1) {
/* 130 */       m = m.getPreviousSibling();
/*     */     }
/* 132 */     return (Element)m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Element getXblPreviousElementSibling(Node n) {
/* 140 */     Node m = n;
/*     */     do {
/* 142 */       m = m.getPreviousSibling();
/* 143 */     } while (m != null && m.getNodeType() != 1);
/* 144 */     return (Element)m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Element getXblNextElementSibling(Node n) {
/* 152 */     Node m = n;
/*     */     do {
/* 154 */       m = m.getNextSibling();
/* 155 */     } while (m != null && m.getNodeType() != 1);
/* 156 */     return (Element)m;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 163 */   public Element getXblBoundElement(Node n) { return null; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 170 */   public Element getXblShadowTree(Node n) { return null; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 177 */   public NodeList getXblDefinitions(Node n) { return AbstractNode.EMPTY_NODE_LIST; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\xbl\GenericXBLManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */