/*     */ package org.apache.batik.dom;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import org.apache.batik.dom.events.DocumentEventSupport;
/*     */ import org.apache.batik.dom.events.EventSupport;
/*     */ import org.apache.batik.dom.util.HashTable;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.DOMImplementation;
/*     */ import org.w3c.dom.Document;
/*     */ import org.w3c.dom.DocumentType;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractDOMImplementation
/*     */   implements DOMImplementation, Serializable
/*     */ {
/*     */   protected final HashTable features;
/*     */   
/*  65 */   protected void registerFeature(String name, Object value) { this.features.put(name.toLowerCase(), value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean hasFeature(String feature, String version) {
/*  79 */     if (feature == null || feature.length() == 0) {
/*  80 */       return false;
/*     */     }
/*  82 */     if (feature.charAt(0) == '+')
/*     */     {
/*  84 */       feature = feature.substring(1);
/*     */     }
/*  86 */     Object v = this.features.get(feature.toLowerCase());
/*  87 */     if (v == null) {
/*  88 */       return false;
/*     */     }
/*  90 */     if (version == null || version.length() == 0) {
/*  91 */       return true;
/*     */     }
/*  93 */     if (v instanceof String) {
/*  94 */       return version.equals(v);
/*     */     }
/*  96 */     String[] va = (String[])v;
/*  97 */     for (int i = 0; i < va.length; i++) {
/*  98 */       if (version.equals(va[i])) {
/*  99 */         return true;
/*     */       }
/*     */     } 
/* 102 */     return false;
/*     */   } protected AbstractDOMImplementation() { this.features = new HashTable(); registerFeature("Core", new String[] { "2.0", "3.0" });
/*     */     registerFeature("XML", new String[] { "1.0", "2.0", "3.0" });
/*     */     registerFeature("Events", new String[] { "2.0", "3.0" });
/*     */     registerFeature("UIEvents", new String[] { "2.0", "3.0" });
/*     */     registerFeature("MouseEvents", new String[] { "2.0", "3.0" });
/*     */     registerFeature("TextEvents", "3.0");
/*     */     registerFeature("KeyboardEvents", "3.0");
/*     */     registerFeature("MutationEvents", new String[] { "2.0", "3.0" });
/*     */     registerFeature("MutationNameEvents", "3.0");
/*     */     registerFeature("Traversal", "2.0");
/* 113 */     registerFeature("XPath", "3.0"); } public Object getFeature(String feature, String version) { if (hasFeature(feature, version)) {
/* 114 */       return this;
/*     */     }
/* 116 */     return null; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 123 */   public DocumentEventSupport createDocumentEventSupport() { return new DocumentEventSupport(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 130 */   public EventSupport createEventSupport(AbstractNode n) { return new EventSupport(n); }
/*     */   
/*     */   public abstract Document createDocument(String paramString1, String paramString2, DocumentType paramDocumentType) throws DOMException;
/*     */   
/*     */   public abstract DocumentType createDocumentType(String paramString1, String paramString2, String paramString3) throws DOMException;
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\AbstractDOMImplementation.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */