/*     */ package org.apache.batik.dom;
/*     */ 
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.ProcessingInstruction;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractProcessingInstruction
/*     */   extends AbstractChildNode
/*     */   implements ProcessingInstruction
/*     */ {
/*     */   protected String data;
/*     */   
/*  46 */   public String getNodeName() { return getTarget(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  54 */   public short getNodeType() { return 7; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  62 */   public String getNodeValue() { return getData(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  69 */   public void setNodeValue(String nodeValue) throws DOMException { setData(nodeValue); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  78 */   public String getData() { return this.data; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setData(String data) throws DOMException {
/*  86 */     if (isReadonly()) {
/*  87 */       throw createDOMException((short)7, "readonly.node", new Object[] { new Integer(getNodeType()), getNodeName() });
/*     */     }
/*     */ 
/*     */ 
/*     */     
/*  92 */     String val = this.data;
/*  93 */     this.data = data;
/*     */ 
/*     */     
/*  96 */     fireDOMCharacterDataModifiedEvent(val, this.data);
/*  97 */     if (getParentNode() != null) {
/*  98 */       ((AbstractParentNode)getParentNode()).fireDOMSubtreeModifiedEvent();
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 107 */   public String getTextContent() { return getNodeValue(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node export(Node n, AbstractDocument d) {
/* 115 */     AbstractProcessingInstruction p = (AbstractProcessingInstruction)super.export(n, d);
/* 116 */     p.data = this.data;
/* 117 */     return p;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node deepExport(Node n, AbstractDocument d) {
/* 125 */     AbstractProcessingInstruction p = (AbstractProcessingInstruction)super.deepExport(n, d);
/* 126 */     p.data = this.data;
/* 127 */     return p;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node copyInto(Node n) {
/* 136 */     AbstractProcessingInstruction p = (AbstractProcessingInstruction)super.copyInto(n);
/* 137 */     p.data = this.data;
/* 138 */     return p;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected Node deepCopyInto(Node n) {
/* 147 */     AbstractProcessingInstruction p = (AbstractProcessingInstruction)super.deepCopyInto(n);
/* 148 */     p.data = this.data;
/* 149 */     return p;
/*     */   }
/*     */   
/*     */   public abstract String getTarget();
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\AbstractProcessingInstruction.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */