/*     */ package org.apache.batik.dom;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.w3c.dom.DOMImplementation;
/*     */ import org.w3c.dom.DocumentType;
/*     */ import org.w3c.dom.Element;
/*     */ import org.w3c.dom.css.CSSStyleDeclaration;
/*     */ import org.w3c.dom.css.DocumentCSS;
/*     */ import org.w3c.dom.stylesheets.StyleSheetList;
/*     */ import org.w3c.dom.views.AbstractView;
/*     */ import org.w3c.dom.views.DocumentView;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class AbstractStylableDocument
/*     */   extends AbstractDocument
/*     */   implements DocumentCSS, DocumentView
/*     */ {
/*     */   protected AbstractView defaultView;
/*     */   protected CSSEngine cssEngine;
/*     */   
/*     */   protected AbstractStylableDocument() {}
/*     */   
/*  62 */   protected AbstractStylableDocument(DocumentType dt, DOMImplementation impl) { super(dt, impl); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  69 */   public void setCSSEngine(CSSEngine ctx) { this.cssEngine = ctx; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  76 */   public CSSEngine getCSSEngine() { return this.cssEngine; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  86 */   public StyleSheetList getStyleSheets() { throw new RuntimeException(" !!! Not implemented"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public AbstractView getDefaultView() {
/*  96 */     if (this.defaultView == null) {
/*     */       
/*  98 */       ExtensibleDOMImplementation impl = (ExtensibleDOMImplementation)this.implementation;
/*  99 */       this.defaultView = impl.createViewCSS(this);
/*     */     } 
/* 101 */     return this.defaultView;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void clearViewCSS() {
/* 108 */     this.defaultView = null;
/* 109 */     if (this.cssEngine != null) {
/* 110 */       this.cssEngine.dispose();
/*     */     }
/* 112 */     this.cssEngine = null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 123 */   public CSSStyleDeclaration getOverrideStyle(Element elt, String pseudoElt) { throw new RuntimeException(" !!! Not implemented"); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\AbstractStylableDocument.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */