/*     */ package org.apache.batik.dom;
/*     */ 
/*     */ import org.apache.batik.dom.util.DOMUtilities;
/*     */ import org.apache.batik.dom.util.HashTable;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.stylesheets.LinkStyle;
/*     */ import org.w3c.dom.stylesheets.StyleSheet;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StyleSheetProcessingInstruction
/*     */   extends AbstractProcessingInstruction
/*     */   implements LinkStyle
/*     */ {
/*     */   protected boolean readonly;
/*     */   protected StyleSheet sheet;
/*     */   protected StyleSheetFactory factory;
/*     */   protected HashTable pseudoAttributes;
/*     */   
/*     */   protected StyleSheetProcessingInstruction() {}
/*     */   
/*     */   public StyleSheetProcessingInstruction(String data, AbstractDocument owner, StyleSheetFactory f) {
/*  72 */     this.ownerDocument = owner;
/*  73 */     setData(data);
/*  74 */     this.factory = f;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  81 */   public boolean isReadonly() { return this.readonly; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  88 */   public void setReadonly(boolean v) { this.readonly = v; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setNodeName(String v) {}
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   public String getTarget() { return "xml-stylesheet"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public StyleSheet getSheet() {
/* 110 */     if (this.sheet == null) {
/* 111 */       this.sheet = this.factory.createStyleSheet(this, getPseudoAttributes());
/*     */     }
/* 113 */     return this.sheet;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public HashTable getPseudoAttributes() {
/* 120 */     if (this.pseudoAttributes == null) {
/* 121 */       this.pseudoAttributes = new HashTable();
/* 122 */       this.pseudoAttributes.put("alternate", "no");
/* 123 */       this.pseudoAttributes.put("media", "all");
/* 124 */       DOMUtilities.parseStyleSheetPIData(this.data, this.pseudoAttributes);
/*     */     } 
/* 126 */     return this.pseudoAttributes;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void setData(String data) {
/* 134 */     super.setData(data);
/* 135 */     this.sheet = null;
/* 136 */     this.pseudoAttributes = null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 143 */   protected Node newNode() { return new StyleSheetProcessingInstruction(); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\StyleSheetProcessingInstruction.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */