/*     */ package org.apache.batik.dom.traversal;
/*     */ 
/*     */ import java.util.Iterator;
/*     */ import java.util.LinkedList;
/*     */ import java.util.List;
/*     */ import org.apache.batik.dom.AbstractDocument;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.Node;
/*     */ import org.w3c.dom.traversal.NodeFilter;
/*     */ import org.w3c.dom.traversal.NodeIterator;
/*     */ import org.w3c.dom.traversal.TreeWalker;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TraversalSupport
/*     */ {
/*     */   protected List iterators;
/*     */   
/*     */   public static TreeWalker createTreeWalker(AbstractDocument doc, Node root, int whatToShow, NodeFilter filter, boolean entityReferenceExpansion) {
/*  60 */     if (root == null) {
/*  61 */       throw doc.createDOMException((short)9, "null.root", null);
/*     */     }
/*     */     
/*  64 */     return new DOMTreeWalker(root, whatToShow, filter, entityReferenceExpansion);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public NodeIterator createNodeIterator(AbstractDocument doc, Node root, int whatToShow, NodeFilter filter, boolean entityReferenceExpansion) throws DOMException {
/*  77 */     if (root == null) {
/*  78 */       throw doc.createDOMException((short)9, "null.root", null);
/*     */     }
/*     */     
/*  81 */     NodeIterator result = new DOMNodeIterator(doc, root, whatToShow, filter, entityReferenceExpansion);
/*     */ 
/*     */     
/*  84 */     if (this.iterators == null) {
/*  85 */       this.iterators = new LinkedList();
/*     */     }
/*  87 */     this.iterators.add(result);
/*     */     
/*  89 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void nodeToBeRemoved(Node removedNode) {
/*  96 */     if (this.iterators != null) {
/*  97 */       Iterator it = this.iterators.iterator();
/*  98 */       while (it.hasNext()) {
/*  99 */         ((DOMNodeIterator)it.next()).nodeToBeRemoved(removedNode);
/*     */       }
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 108 */   public void detachNodeIterator(NodeIterator it) { this.iterators.remove(it); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-dom.jar!\org\apache\batik\dom\traversal\TraversalSupport.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */